package org.apache.bcel.util;

import org.apache.commons.lang3.ArrayUtils;
import java.util.HashMap;
import org.apache.bcel.classfile.JavaClass;
import java.util.Map;

public class ClassSet
{
    private final Map<String, JavaClass> map;
    
    public ClassSet() {
        this.map = new HashMap<String, JavaClass>();
    }
    
    public boolean add(final JavaClass clazz) {
        return this.map.putIfAbsent(clazz.getClassName(), clazz) != null;
    }
    
    public boolean empty() {
        return this.map.isEmpty();
    }
    
    public String[] getClassNames() {
        return this.map.keySet().toArray(ArrayUtils.EMPTY_STRING_ARRAY);
    }
    
    public void remove(final JavaClass clazz) {
        this.map.remove(clazz.getClassName());
    }
    
    public JavaClass[] toArray() {
        return this.map.values().toArray(JavaClass.EMPTY_ARRAY);
    }
}
